中危 Augeas 'transform_save'函数不正确权限设置漏洞

CVE编号

CVE-2013-6412

利用情况

暂无

补丁情况

官方补丁

披露时间

2014-01-23 13:55:00
漏洞描述
当umask包含“7”时,Augeas 1.0.0 through 1.1.0 中的transform.c中的transform_save函数无法正确计算权限值,这导致对新文件使用可世界写入的权限,并允许本地用户通过未指定的向量来修改文件。 

解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请广大用户及时下载更新:
https://access.redhat.com/site/articles/11258
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 augeas augeas 1.0.0 -
运行在以下环境
应用 augeas augeas 1.1.0 -
运行在以下环境
系统 amazon_AMI augeas * Up to
(excluding)
1.0.0-5.7.amzn1
运行在以下环境
系统 centos_6 augeas * Up to
(excluding)
1.0.0-5.el6_5.1
运行在以下环境
系统 debian_6 augeas * Up to
(excluding)
0.7.2-1+deb6u1
运行在以下环境
系统 fedora_EPEL_5 augeas * Up to
(excluding)
1.2.0-1.el5
运行在以下环境
系统 oracle_6 augeas * Up to
(excluding)
1.0.0-5.el6_5.1
阿里云评分
5.1
  • 攻击路径
    本地
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-264 权限、特权和访问控制
阿里云安全产品覆盖情况